#ifndef __SOCKADDRCLASS_H__
#define __SOCKADDRCLASS_H__
/*
 *   $RCSfile: SOCKADDRCLASS,v $
 *   $Revision: 1.15 $
 *   $Date: 1993/06/21 12:50:12 $
 */
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return
* any improvements or extensions that they make to:
*
*   EXODUS Project Group
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*    or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

/* #include "resources.h" */

#include "sysdefs.h"
#include "ess.h"


class SOCKADDRCLASS {
public:
    SOCKADDR p;
    int      hashFunc() const {
#if defined(hpux) || defined(__sgi) || defined(_AIX)
          return (int)(this->p.sin_addr.s_addr);
#else
          return (int)(this->p.sin_addr.S_un.S_addr);
#endif
    }
    BOOL     equalFunc (SOCKADDRCLASS *other) const {
          return ((this->p.sin_family == other->p.sin_family) &&
              (this->p.sin_port == other->p.sin_port) &&
#if defined(hpux) || defined(__sgi) || defined(_AIX)
              (this->p.sin_addr.s_addr == other->p.sin_addr.s_addr));
#else
              (this->p.sin_addr.S_un.S_addr == other->p.sin_addr.S_un.S_addr));
#endif
    }
};

#endif /* __SOCKADDRCLASS_H__ */ 
